Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AnnotatedMethodInjector

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.injectors.AbstractInjector<T>
              org.picocontainer.injectors.IterativeInjector<T>
                  org.picocontainer.injectors.SetterInjector
                      org.picocontainer.injectors.AnnotatedMethodInjector

All Implemented Interfaces:
  Serializable, ComponentAdapter, ComponentMonitorStrategy, Injector, LifecycleStrategy

    public class AnnotatedMethodInjector

extends SetterInjector

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector
`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.injectors.IterativeInjector
`bindings, injectionMembers, injectionTypes`

Fields inherited from class org.picocontainer.injectors.AbstractInjector
`lifecycleStrategy, parameters, verifyingGuard`

Constructor Summary
`AnnotatedMethodInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor monitor, LifecycleStrategy lifecycleStrategy, Class<? extends Annotation> injectionAnnotation, boolean useNames)`

Method Summary
`protected Object` | `injectIntoMember(AccessibleObject member, Object componentInstance, Object toInject)`
`protected boolean` | `isInjectorMethod(Method method)`
`String` | `toString()`

Methods inherited from class org.picocontainer.injectors.SetterInjector
`getDescriptor, getInjectorPrefix, memberInvocationReturn`

Methods inherited from class org.picocontainer.injectors.IterativeInjector
`decorateComponentInstance, getComponentInstance, getConstructor, getParanamer, initializeInjectionMembersAndTypeLists, makeParameterNameImpl, unsatisfiedDependencies, verify`

Methods inherited from class org.picocontainer.injectors.AbstractInjector
`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, dispose, getComponentInstance, hasLifecycle, newInstance, start, stop, useNames`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Constructor Detail

### AnnotatedMethodInjector

    public AnnotatedMethodInjector(Object key,
                                   Class<?> impl,
                                   Parameter[] parameters,
                                   ComponentMonitor monitor,
                                   LifecycleStrategy lifecycleStrategy,
                                   Class<? extends Annotation> injectionAnnotation,
                                   boolean useNames)

Method Detail

### injectIntoMember

    protected Object injectIntoMember(AccessibleObject member,
                                      Object componentInstance,
                                      Object toInject)
                               throws IllegalAccessException,
                                      InvocationTargetException

  Overrides:
    `injectIntoMember` in class `SetterInjector`
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

### isInjectorMethod

    protected final boolean isInjectorMethod(Method method)

  Overrides:
    `isInjectorMethod` in class `SetterInjector`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractAdapter`
  Returns:
    Returns the ComponentAdapter's class name and the component's key.
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.